using Mindmagma.Curses;

namespace SCI.CursesWrapper;

public class ColorSchemes {
	public static void InitAll () {
		// Default
		NCurses.InitPair (1, CursesColor.YELLOW, CursesColor.BLACK);

		// TopMenuNormal
		NCurses.InitPair (2, CursesColor.CYAN, CursesColor.BLACK);

		// TopMenuActive
		NCurses.InitPair (3, CursesColor.RED, CursesColor.BLACK);

		// TextInputField
		NCurses.InitPair (4, CursesColor.BLACK, CursesColor.WHITE);

		// CustomColorTest
		NCurses.InitPair (5, CursesColor.WHITE, CursesColor.RED);

		// CustomColorTest2
		NCurses.InitPair (6, CursesColor.BLUE, CursesColor.YELLOW);
	}

	public static uint Default () {
		return NCurses.ColorPair (1);
	}

	public static uint TopMenuNormal () {
		return NCurses.ColorPair (2);
	}

	public static uint TopMenuActive () {
		return NCurses.ColorPair (3);
	}

	public static uint TextInputField () {
		return NCurses.ColorPair (4);
	}

	public static uint CustomColorTest () {
		return NCurses.ColorPair (5);
	}
	
	public static uint CustomColorTest2 () {
		return NCurses.ColorPair (6);
	}
}